Subject: bug#70914: 29.3; Crashes often on Windows

From: Simen Endsjø <[email-masked]>
Date: Wed, 22 May 2024 22:28:04 +0200

Here's some output when printing filenames in get_volume_info. I've tried
searching around and reading code, but I haven't found out where
"d:/profiles/%s" or "//" comes from.

    get_volume_info:
name="d:/.emacs.d/.local/straight/build-29.3/org-fancy-priorities/org-fancy-priorities.dll"
    get_volume_info:
name="d:/.emacs.d/.local/straight/build-29.3/org-fancy-priorities/org-fancy-priorities.dll.gz"
    get_volume_info:
name="d:/.emacs.d/.local/straight/build-29.3/org-fancy-priorities/org-fancy-priorities.elc"
    get_volume_info:
name="d:/.emacs.d/.local/straight/build-29.3/org-fancy-priorities/org-fancy-priorities.elc"
    get_volume_info:
name="d:/.emacs.d/.local/straight/build-29.3/org-fancy-priorities/org-fancy-priorities.elc"
    get_volume_info:
name="d:/.emacs.d/.local/straight/build-29.3/org-fancy-priorities/org-fancy-priorities.el"
    get_volume_info:
name="d:/.emacs.d/.local/straight/build-29.3/org-fancy-priorities/org-fancy-priorities.elc"
    get_volume_info: name="c:/Users/simend/.ssh/id_rsa"
    get_volume_info: name="d:/profiles/%s"
    get_volume_info: name="//"

    Thread 1 received signal SIGTRAP, Trace/breakpoint trap.
    [Switching to Thread 25828.0x6fd4]
    0x00007fffed1bd313 in KERNELBASE!DebugBreak () from
C:\WINDOWS\System32\KernelBase.dll
    (gdb)rsource d:/tmp/emacs-bug-70914/emacs-abort-on-empty-path/src/.gdbinit
    warning: D:\tmp\emacs-bug-70914/../lwlib: No such file or directory
    SIGINT is used by the debugger.
    Are you sure you want to change it? (y or n) [answered Y; input
not from terminal]
    Environment variable "DISPLAY" not defined.
    TERM = xterm-256color
    Breakpoint 2 at 0x7ff71150bd35: file emacs.c, line 427.
    (gdb) thread 1
    [Switching to thread 1 (Thread 25828.0x6fd4)]
    #0  0x00007fffed1bd313 in KERNELBASE!DebugBreak () from
C:\WINDOWS\System32\KernelBase.dll
    (gdb) bt
    #0  0x00007fffed1bd313 in KERNELBASE!DebugBreak () from
C:\WINDOWS\System32\KernelBase.dll
    #1  0x00007ff7116f8f46 in emacs_abort () at w32fns.c:11136
    #2  0x00007ff71172a08e in parse_root (name=0x14299c20 "//",
pPath=0xbf6710) at w32.c:2561
    #3  0x00007ff71172bdf7 in get_volume_info (name=0x14299c20 "//",
pPath=0xbf6710) at w32.c:3483
    #4  0x00007ff71172bf06 in is_fat_volume (name=0x14299c20 "//",
pPath=0xbf6710) at w32.c:3513
    #5  0x00007ff71172bf9c in map_w32_filename (name=0x14299c20 "//",
pPath=0x0) at w32.c:3538
    #6  0x00007ff71172d149 in faccessat (dirfd=-3041965,
path=0x14299c20 "//", mode=8, flags=4) at w32.c:4134
    #7  0x00007ff711575ec1 in file_access_p (file=0x14299c20 "//",
amode=0) at fileio.c:162
    #8  0x00007ff71157bc91 in check_file_access (file=XIL(0x18106754),
operation=XIL(0x6ab0), amode=0) at fileio.c:2893
    #9  0x00007ff71157bcde in Ffile_exists_p
(filename=XIL(0x18106794)) at fileio.c:2905
    #10 0x00007ff711608335 in eval_sub (form=XIL(0x912be73)) at eval.c:2502
    #11 0x00007ff711600ef3 in For (args=XIL(0)) at eval.c:349
    #12 0x00007ff711607f63 in eval_sub (form=XIL(0x912bd73)) at eval.c:2453
    #13 0x00007ff711601087 in Fif (args=XIL(0x912bea3)) at eval.c:388
    #14 0x00007ff711607f63 in eval_sub (form=XIL(0x912bd63)) at eval.c:2453
    #15 0x00007ff7116013cd in Fprogn (body=XIL(0)) at eval.c:436
    #16 0x00007ff71160abfe in funcall_lambda (fun=XIL(0xa9e7f33),
nargs=1, arg_vector=0x0) at eval.c:3237
    #17 0x00007ff711609a11 in funcall_general (fun=XIL(0xa9e7f43),
numargs=1, args=0x4badbd0) at eval.c:2961
    #18 0x00007ff71166faf1 in exec_byte_code (fun=XIL(0xa1e2325),
args_template=514, nargs=2, args=0x4badbd8) at bytecode.c:811
    #19 0x00007ff71160a24a in fetch_and_exec_byte_code
(fun=XIL(0x11527775), args_template=0, nargs=0, args=0x0) at
eval.c:3085
    #20 0x00007ff71160ac89 in funcall_lambda (fun=XIL(0x11527775),
nargs=0, arg_vector=0x0) at eval.c:3246
    #21 0x00007ff7116098ef in funcall_general (fun=XIL(0x11527775),
numargs=0, args=0xbf7bb8) at eval.c:2949
    #22 0x00007ff711609c22 in Ffuncall (nargs=1, args=0xbf7bb0) at eval.c:2999
    #23 0x00007ff711608e1d in funcall_nil (nargs=1, args=0xbf7bb0) at
eval.c:2681
    #24 0x00007ff71160939c in run_hook_with_args (nargs=1,
args=0xbf7bb0, funcall=0x7ff711608dfd <funcall_nil>) at eval.c:2858
    #25 0x00007ff711608eab in Frun_hook_with_args (nargs=1,
args=0xbf7bb0) at eval.c:2723
    #26 0x00007ff71160943b in run_hook (hook=XIL(0xffff8008f59b6e40))
at eval.c:2871
    #27 0x00007ff711608e65 in Frun_hooks (nargs=4, args=0xbf7d88) at eval.c:2705
    #28 0x00007ff71160a0c6 in funcall_subr (subr=0x7ff711d02e80
<Srun_hooks>, numargs=4, args=0xbf7d88) at eval.c:3063
    #29 0x00007ff7116098a3 in funcall_general
(fun=XIL(0x7ff711d02e85), numargs=4, args=0xbf7d88) at eval.c:2945
    #30 0x00007ff711609c22 in Ffuncall (nargs=5, args=0xbf7d80) at eval.c:2999
    #31 0x00007ff711608de2 in Fapply (nargs=2, args=0x4bad880) at eval.c:2670
    #32 0x00007ff71160a0c6 in funcall_subr (subr=0x7ff711d02e40
<Sapply>, numargs=2, args=0x4bad880) at eval.c:3063
    #33 0x00007ff71166fac8 in exec_byte_code (fun=XIL(0x3f67cf5),
args_template=128, nargs=1, args=0x4bad820) at bytecode.c:809
    #34 0x00007ff71160a24a in fetch_and_exec_byte_code
(fun=XIL(0x3fc5f45), args_template=256, nargs=0, args=0x4bad6a8) at
eval.c:3085
    #35 0x00007ff71160a6de in funcall_lambda (fun=XIL(0x3fc5f45),
nargs=0, arg_vector=0x4bad6a8) at eval.c:3157
    #36 0x00007ff7116098ef in funcall_general (fun=XIL(0x3fc5f45),
numargs=0, args=0x4bad6a8) at eval.c:2949
    #37 0x00007ff711609c22 in Ffuncall (nargs=1, args=0x4bad6a0) at eval.c:2999
    --Type <RET> for more, q to quit, c to continue without paging--c
    #38 0x00007ff7116089b2 in Fapply (nargs=2, args=0x4bad6a0) at eval.c:2623
    #39 0x00007ff71160a0c6 in funcall_subr (subr=0x7ff711d02e40
<Sapply>, numargs=2, args=0x4bad6a0) at eval.c:3063
    #40 0x00007ff71166fac8 in exec_byte_code (fun=XIL(0x62eecb5),
args_template=128, nargs=0, args=0xbf8db8) at bytecode.c:809
    #41 0x00007ff71160a24a in fetch_and_exec_byte_code
(fun=XIL(0x62eecb5), args_template=128, nargs=0, args=0xbf8db8) at
eval.c:3085
    #42 0x00007ff71160a6de in funcall_lambda (fun=XIL(0x62eecb5),
nargs=0, arg_vector=0xbf8db8) at eval.c:3157
    #43 0x00007ff7116098ef in funcall_general (fun=XIL(0x62eecb5),
numargs=0, args=0xbf8db8) at eval.c:2949
    #44 0x00007ff711609c22 in Ffuncall (nargs=1, args=0xbf8db0) at eval.c:2999
    #45 0x00007ff7116089b2 in Fapply (nargs=2, args=0xbf8db0) at eval.c:2623
    #46 0x00007ff7116081b1 in eval_sub (form=XIL(0x8039783)) at eval.c:2474
    #47 0x00007ff7116013cd in Fprogn (body=XIL(0)) at eval.c:436
    #48 0x00007ff711607f63 in eval_sub (form=XIL(0x7da8883)) at eval.c:2453
    #49 0x00007ff7116044ce in Funwind_protect (args=XIL(0x7da8843)) at
eval.c:1301
    #50 0x00007ff711607f63 in eval_sub (form=XIL(0x7da8833)) at eval.c:2453
    #51 0x00007ff7116013cd in Fprogn (body=XIL(0)) at eval.c:436
    #52 0x00007ff711603ab5 in Flet (args=XIL(0x7da8803)) at eval.c:1026
    #53 0x00007ff711607f63 in eval_sub (form=XIL(0x7da83d3)) at eval.c:2453
    #54 0x00007ff71160882c in eval_sub (form=XIL(0x8039773)) at eval.c:2588
    #55 0x00007ff7116010f8 in Fif (args=XIL(0x8039763)) at eval.c:391
    #56 0x00007ff711607f63 in eval_sub (form=XIL(0x8039753)) at eval.c:2453
    #57 0x00007ff7116013cd in Fprogn (body=XIL(0)) at eval.c:436
    #58 0x00007ff71160abfe in funcall_lambda (fun=XIL(0x803f0f3),
nargs=1, arg_vector=0x0) at eval.c:3237
    #59 0x00007ff711609a11 in funcall_general (fun=XIL(0x803f103),
numargs=1, args=0x4bad660) at eval.c:2961
    #60 0x00007ff711609c22 in Ffuncall (nargs=2, args=0x4bad658) at eval.c:2999
    #61 0x00007ff7116089b2 in Fapply (nargs=3, args=0x4bad658) at eval.c:2623
    #62 0x00007ff71160a0c6 in funcall_subr (subr=0x7ff711d02e40
<Sapply>, numargs=3, args=0x4bad658) at eval.c:3063
    #63 0x00007ff71166fac8 in exec_byte_code (fun=XIL(0x8037055),
args_template=128, nargs=0, args=0x4bad620) at bytecode.c:809
    #64 0x00007ff71160a24a in fetch_and_exec_byte_code
(fun=XIL(0x8037055), args_template=128, nargs=0, args=0x4bad620) at
eval.c:3085
    #65 0x00007ff71160a6de in funcall_lambda (fun=XIL(0x8037055),
nargs=0, arg_vector=0x4bad620) at eval.c:3157
    #66 0x00007ff7116098ef in funcall_general (fun=XIL(0x8037055),
numargs=0, args=0x4bad620) at eval.c:2949
    #67 0x00007ff711609c22 in Ffuncall (nargs=1, args=0x4bad618) at eval.c:2999
    #68 0x00007ff7116089b2 in Fapply (nargs=2, args=0x4bad618) at eval.c:2623
    #69 0x00007ff71160a0c6 in funcall_subr (subr=0x7ff711d02e40
<Sapply>, numargs=2, args=0x4bad618) at eval.c:3063
    #70 0x00007ff71166fac8 in exec_byte_code (fun=XIL(0x3fbc45d),
args_template=513, nargs=1, args=0x4bad718) at bytecode.c:809
    #71 0x00007ff71160a24a in fetch_and_exec_byte_code
(fun=XIL(0x13e45635), args_template=385, nargs=1, args=0x4bad5d0) at
eval.c:3085
    #72 0x00007ff71160a6de in funcall_lambda (fun=XIL(0x13e45635),
nargs=1, arg_vector=0x4bad5d0) at eval.c:3157
    #73 0x00007ff7116098ef in funcall_general (fun=XIL(0x13e45635),
numargs=1, args=0x4bad5d0) at eval.c:2949
    #74 0x00007ff711609c22 in Ffuncall (nargs=2, args=0x4bad5c8) at eval.c:2999
    #75 0x00007ff7116089b2 in Fapply (nargs=3, args=0x4bad5c8) at eval.c:2623
    #76 0x00007ff71160a0c6 in funcall_subr (subr=0x7ff711d02e40
<Sapply>, numargs=3, args=0x4bad5c8) at eval.c:3063
    #77 0x00007ff71166fac8 in exec_byte_code (fun=XIL(0x14da6c25),
args_template=128, nargs=0, args=0x4bad580) at bytecode.c:809
    #78 0x00007ff71160a24a in fetch_and_exec_byte_code
(fun=XIL(0x3fb2065), args_template=1280, nargs=2, args=0xbfb058) at
eval.c:3085
    #79 0x00007ff71160a6de in funcall_lambda (fun=XIL(0x3fb2065),
nargs=2, arg_vector=0xbfb058) at eval.c:3157
    #80 0x00007ff7116098ef in funcall_general (fun=XIL(0x3fb2065),
numargs=2, args=0xbfb058) at eval.c:2949
    #81 0x00007ff711609c22 in Ffuncall (nargs=3, args=0xbfb050) at eval.c:2999
    #82 0x00007ff711608de2 in Fapply (nargs=2, args=0xbfb130) at eval.c:2670
    #83 0x00007ff7116081b1 in eval_sub (form=XIL(0x7da8973)) at eval.c:2474
    #84 0x00007ff7116013cd in Fprogn (body=XIL(0)) at eval.c:436
    #85 0x00007ff711607f63 in eval_sub (form=XIL(0x7da8133)) at eval.c:2453
    #86 0x00007ff7116044ce in Funwind_protect (args=XIL(0x7da8193)) at
eval.c:1301
    #87 0x00007ff711607f63 in eval_sub (form=XIL(0x7da81a3)) at eval.c:2453
    #88 0x00007ff7116013cd in Fprogn (body=XIL(0)) at eval.c:436
    #89 0x00007ff711603568 in FletX (args=XIL(0x7da81c3)) at eval.c:958
    #90 0x00007ff711607f63 in eval_sub (form=XIL(0x7da81d3)) at eval.c:2453
    #91 0x00007ff7116013cd in Fprogn (body=XIL(0)) at eval.c:436
    #92 0x00007ff71160abfe in funcall_lambda (fun=XIL(0x7da7c53),
nargs=3, arg_vector=0x0) at eval.c:3237
    #93 0x00007ff711609a11 in funcall_general (fun=XIL(0x7da7c63),
numargs=3, args=0xbfb998) at eval.c:2961
    #94 0x00007ff711609c22 in Ffuncall (nargs=4, args=0xbfb990) at eval.c:2999
    #95 0x00007ff711608de2 in Fapply (nargs=3, args=0x4bad4c8) at eval.c:2670
    #96 0x00007ff71160a0c6 in funcall_subr (subr=0x7ff711d02e40
<Sapply>, numargs=3, args=0x4bad4c8) at eval.c:3063
    #97 0x00007ff71166fac8 in exec_byte_code (fun=XIL(0x7d9eb85),
args_template=128, nargs=2, args=0xbfc158) at bytecode.c:809
    #98 0x00007ff71160a24a in fetch_and_exec_byte_code
(fun=XIL(0x7d9eb85), args_template=128, nargs=2, args=0xbfc158) at
eval.c:3085
    #99 0x00007ff71160a6de in funcall_lambda (fun=XIL(0x7d9eb85),
nargs=2, arg_vector=0xbfc158) at eval.c:3157
    #100 0x00007ff7116098ef in funcall_general (fun=XIL(0x7d9eb85),
numargs=2, args=0xbfc158) at eval.c:2949
    #101 0x00007ff711609c22 in Ffuncall (nargs=3, args=0xbfc150) at eval.c:2999
    #102 0x00007ff711608de2 in Fapply (nargs=2, args=0x4bad488) at eval.c:2670
    #103 0x00007ff71160a0c6 in funcall_subr (subr=0x7ff711d02e40
<Sapply>, numargs=2, args=0x4bad488) at eval.c:3063
    #104 0x00007ff71166fac8 in exec_byte_code (fun=XIL(0x7d9ebe5),
args_template=128, nargs=2, args=0xbfc918) at bytecode.c:809
    #105 0x00007ff71160a24a in fetch_and_exec_byte_code
(fun=XIL(0x7d9ebe5), args_template=128, nargs=2, args=0xbfc918) at
eval.c:3085
    #106 0x00007ff71160a6de in funcall_lambda (fun=XIL(0x7d9ebe5),
nargs=2, arg_vector=0xbfc918) at eval.c:3157
    #107 0x00007ff7116098ef in funcall_general (fun=XIL(0x7d9ebe5),
numargs=2, args=0xbfc918) at eval.c:2949
    #108 0x00007ff711609c22 in Ffuncall (nargs=3, args=0xbfc910) at eval.c:2999
    #109 0x00007ff711608de2 in Fapply (nargs=2, args=0x4bad448) at eval.c:2670
    #110 0x00007ff71160a0c6 in funcall_subr (subr=0x7ff711d02e40
<Sapply>, numargs=2, args=0x4bad448) at eval.c:3063
    #111 0x00007ff71166fac8 in exec_byte_code (fun=XIL(0x7d9ec45),
args_template=128, nargs=2, args=0x4bad400) at bytecode.c:809
    #112 0x00007ff71160a24a in fetch_and_exec_byte_code
(fun=XIL(0x3f864f5), args_template=1025, nargs=4, args=0xbfd0d8) at
eval.c:3085
    #113 0x00007ff71160a6de in funcall_lambda (fun=XIL(0x3f864f5),
nargs=4, arg_vector=0xbfd0d8) at eval.c:3157
    #114 0x00007ff7116098ef in funcall_general (fun=XIL(0x3f864f5),
numargs=4, args=0xbfd0d8) at eval.c:2949
    #115 0x00007ff711609c22 in Ffuncall (nargs=5, args=0xbfd0d0) at eval.c:2999
    #116 0x00007ff711608de2 in Fapply (nargs=3, args=0x4bad2d0) at eval.c:2670
    #117 0x00007ff71160a0c6 in funcall_subr (subr=0x7ff711d02e40
<Sapply>, numargs=3, args=0x4bad2d0) at eval.c:3063
    #118 0x00007ff71166fac8 in exec_byte_code (fun=XIL(0x3fe0fe5),
args_template=514, nargs=2, args=0x4bad3f8) at bytecode.c:809
    #119 0x00007ff71160a24a in fetch_and_exec_byte_code
(fun=XIL(0x1a82d075), args_template=642, nargs=5, args=0xbfd8a8) at
eval.c:3085
    #120 0x00007ff71160a6de in funcall_lambda (fun=XIL(0x1a82d075),
nargs=5, arg_vector=0xbfd8a8) at eval.c:3157
    #121 0x00007ff7116098ef in funcall_general (fun=XIL(0x1a82d075),
numargs=5, args=0xbfd8a8) at eval.c:2949
    #122 0x00007ff711609c22 in Ffuncall (nargs=6, args=0xbfd8a0) at eval.c:2999
    #123 0x00007ff711608de2 in Fapply (nargs=3, args=0x4bad260) at eval.c:2670
    #124 0x00007ff71160a0c6 in funcall_subr (subr=0x7ff711d02e40
<Sapply>, numargs=3, args=0x4bad260) at eval.c:3063
    #125 0x00007ff71166fac8 in exec_byte_code (fun=XIL(0x1a88ede5),
args_template=128, nargs=4, args=0x4bad210) at bytecode.c:809
    #126 0x00007ff71160a24a in fetch_and_exec_byte_code
(fun=XIL(0x1a4d0875), args_template=0, nargs=0, args=0x4bad138) at
eval.c:3085
    #127 0x00007ff71160a6de in funcall_lambda (fun=XIL(0x1a4d0875),
nargs=0, arg_vector=0x4bad138) at eval.c:3157
    #128 0x00007ff7116098ef in funcall_general (fun=XIL(0x1a4d0875),
numargs=0, args=0x4bad138) at eval.c:2949
    #129 0x00007ff711609c22 in Ffuncall (nargs=1, args=0x4bad130) at eval.c:2999
    #130 0x00007ff7116089b2 in Fapply (nargs=2, args=0x4bad130) at eval.c:2623
    #131 0x00007ff71160a0c6 in funcall_subr (subr=0x7ff711d02e40
<Sapply>, numargs=2, args=0x4bad130) at eval.c:3063
    #132 0x00007ff71166fac8 in exec_byte_code (fun=XIL(0x1a4e9515),
args_template=128, nargs=0, args=0xbfeae0) at bytecode.c:809
    #133 0x00007ff71160a24a in fetch_and_exec_byte_code
(fun=XIL(0x1a4e9515), args_template=128, nargs=0, args=0xbfeae0) at
eval.c:3085
    #134 0x00007ff71160a6de in funcall_lambda (fun=XIL(0x1a4e9515),
nargs=0, arg_vector=0xbfeae0) at eval.c:3157
    #135 0x00007ff7116098ef in funcall_general (fun=XIL(0x1a4e9515),
numargs=0, args=0xbfeae0) at eval.c:2949
    #136 0x00007ff711609c22 in Ffuncall (nargs=1, args=0xbfead8) at eval.c:2999
    #137 0x00007ff7115fba35 in Ffuncall_interactively (nargs=1,
args=0xbfead8) at callint.c:250
    #138 0x00007ff71160a0c6 in funcall_subr (subr=0x7ff711d02580
<Sfuncall_interactively>, numargs=1, args=0xbfead8) at eval.c:3063
    #139 0x00007ff7116098a3 in funcall_general
(fun=XIL(0x7ff711d02585), numargs=1, args=0xbfead8) at eval.c:2945
    #140 0x00007ff711609c22 in Ffuncall (nargs=2, args=0xbfead0) at eval.c:2999
    #141 0x00007ff7116089b2 in Fapply (nargs=3, args=0xbfead0) at eval.c:2623
    #142 0x00007ff7115fbf05 in Fcall_interactively
(function=XIL(0xffff8008f57e3220), record_flag=XIL(0),
keys=XIL(0x46b2345)) at callint.c:342
    #143 0x00007ff711609eae in funcall_subr (subr=0x7ff711d025c0
<Scall_interactively>, numargs=3, args=0x4bad0a0) at eval.c:3042
    #144 0x00007ff71166fac8 in exec_byte_code (fun=XIL(0x402c4d5),
args_template=1025, nargs=1, args=0xbff410) at bytecode.c:809
    #145 0x00007ff71160a24a in fetch_and_exec_byte_code
(fun=XIL(0x402c4d5), args_template=1025, nargs=1, args=0xbff408) at
eval.c:3085
    #146 0x00007ff71160a6de in funcall_lambda (fun=XIL(0x402c4d5),
nargs=1, arg_vector=0xbff408) at eval.c:3157
    #147 0x00007ff7116098ef in funcall_general (fun=XIL(0x402c4d5),
numargs=1, args=0xbff408) at eval.c:2949
    #148 0x00007ff711609c22 in Ffuncall (nargs=2, args=0xbff400) at eval.c:2999
    #149 0x00007ff711511956 in call1 (fn=XIL(0x4590),
arg1=XIL(0xffff8008f57e3220)) at lisp.h:3248
    #150 0x00007ff711515605 in command_loop_1 () at keyboard.c:1503
    #151 0x00007ff711604fc2 in internal_condition_case
(bfun=0x7ff711514c50 <command_loop_1>, handlers=XIL(0x90),
hfun=0x7ff711513e80 <cmd_error>)
        at eval.c:1474
    #152 0x00007ff71151479e in command_loop_2 (handlers=XIL(0x90)) at
keyboard.c:1133
    #153 0x00007ff7116040ff in internal_catch (tag=XIL(0x103b0),
func=0x7ff711514772 <command_loop_2>, arg=XIL(0x90)) at eval.c:1197
    #154 0x00007ff7115146db in command_loop () at keyboard.c:1111
    #155 0x0000000000000000 in ?? ()

    Lisp Backtrace:
    "file-exists-p" (0xbf6f20)
    "or" (0xbf7130)
    "if" (0xbf72e0)
    0xa9e7f40 Lisp type 3
    "org-activate-links--overlays" (0x4badb48)
    "org-activate-links" (0x4badac0)
    "font-lock-fontify-keywords-region" (0x4bada20)
    "font-lock-default-fontify-region" (0x4bad9b0)
    "font-lock-fontify-region" (0x4bad958)
    "font-lock-default-fontify-buffer" (0x4bad910)
    "font-lock-fontify-buffer" (0x4bad8c0)
    "org-fancy-priorities-mode" (0xbf7bb8)
    "run-hooks" (0xbf7d88)
    "apply" (0x4bad880)
    "run-mode-hooks" (0x4bad820)
    "org-mode" (0x4bad7e0)
    "set-auto-mode-0" (0x4bad790)
    "set-auto-mode--apply-alist" (0x4bad710)
    0x3fc5f40 PVEC_COMPILED
    "apply" (0x4bad6a0)
    0x62eecb0 PVEC_COMPILED
    "apply" (0xbf8db0)
    "progn" (0xbf9010)
    "unwind-protect" (0xbf91b0)
    "let" (0xbf9440)
    "evil-save-state" (0xbf95a0)
    "if" (0xbf9750)
    "+evil--persist-state-a" (0x4bad660)
    "apply" (0x4bad658)
    0x8037050 PVEC_COMPILED
    "apply" (0x4bad618)
    "so-long--set-auto-mode" (0x4bad5d0)
    "apply" (0x4bad5c8)
    "set-auto-mode" (0x4bad580)
    "normal-mode" (0x4bad530)
    0x3fb2060 PVEC_COMPILED
    "apply" (0xbfb130)
    "progn" (0xbfb390)
    "unwind-protect" (0xbfb530)
    "let*" (0xbfb770)
    "doom--shut-up-autosave-a" (0xbfb998)
    "apply" (0x4bad4c8)
    0x7d9eb80 PVEC_COMPILED
    "apply" (0x4bad488)
    0x7d9ebe0 PVEC_COMPILED
    "apply" (0x4bad448)
    "after-find-file" (0x4bad400)
    "find-file-noselect-1" (0x4bad368)
    0x3f864f0 PVEC_COMPILED
    "apply" (0x4bad2d0)
    "editorconfig--advice-find-file-noselect" (0xbfd8a8)
    "apply" (0x4bad260)
    "find-file-noselect" (0x4bad210)
    "find-file" (0x4bad168)
    0x1a4d0870 PVEC_COMPILED
    "apply" (0x4bad130)
    "consult-recent-file" (0xbfeae0)
    "funcall-interactively" (0xbfead8)
    "call-interactively" (0x4bad0a0)
    "command-execute" (0xbff408)

On Wed, May 22, 2024 at 9:21 PM Simen Endsjø <[email-masked]> wrote:
>
> > But note how many unknowns are involved in your find-file example:
> >
> >    doom--shut-up-autosave-a
> >    so-long--set-auto-mode
> >    +evil--persist-state-a
> >    evil-save-state
> >    org-mode
> >    org-fancy-priorities-mode
> >    org-activate-links
> >    org-activate-links--overlays
> >
> > If you can somehow spot what causes this "//" name to appear in this
> > case, do tell.  E.g., if it's the fault of Org, then we'd want to fix
> > that.
>
> I reduced it a bit earlier and tried again now. If I remove org-fancy-priorities
> (and org-superstar) the problem goes away. So it might be related. The
> org-superstar package states there is some "intricate timing issues". I reported
> an issue pointing to this thread Thursday, but haven't heard anything yet, ref
> https://github.com/integral-dw/org-superstar-mode/issues/55.
>
> I tried adding only org-fancy-priorities and org-superstar to a clean emacs, but
> couldn't reproduce the issue, so more stars have to align to trigger this.
>
> On Wed, May 22, 2024 at 8:19 PM Eli Zaretskii <[email-masked]> wrote:
> >
> > > From: Simen Endsjø <[email-masked]>
> > > Date: Wed, 22 May 2024 18:54:06 +0200
> > > Cc: [email-masked], [email-masked], [email-masked]
> > >
> > > > You can now remove the added condition and the call to emacs_abort
> > > > from the code.  Please run for a while and see if there are any other
> > > > crashes like that one, which yield a zero code address.
> > >
> > > Yes, I'll use this version for a while and see if things get better.
> >
> > Thanks.
> >
> > > > Thanks.  Too much is involved here, but my money is on consult: I see
> > > > in its code several places where it matches file names in a way that
> > > > can only work on Posix systems (i.e., assuming absolute file names
> > > > begin with a slash, not with a drive letter).  Since
> > > > consult-recent-file is in the Lisp backtrace, it's a definite
> > > > possibility.
> > >
> > > I can reproduce it calling just find-file too:
> >
> > Yes, I know.  It reproduces the problem even in "emacs -Q".  I used
> > that to test the fix.  But if the user manually types such an invalid
> > file name, it is on him/her.  What I wanted to try to find is whether
> > some of our Lisp packages _generates_ such a "file name", which would
> > be a bug we'd need to fix.
> >
> > But note how many unknowns are involved in your find-file example:
> >
> >    doom--shut-up-autosave-a
> >    so-long--set-auto-mode
> >    +evil--persist-state-a
> >    evil-save-state
> >    org-mode
> >    org-fancy-priorities-mode
> >    org-activate-links
> >    org-activate-links--overlays
> >
> > If you can somehow spot what causes this "//" name to appear in this
> > case, do tell.  E.g., if it's the fault of Org, then we'd want to fix
> > that.
> >
> > It is important to understand that "//" is an invalid file name on
> > Windows, as far as Emacs is concerned, and using it will basically
> > produce results which are not useful.  E.g., try
> >
> >   M-: (file-attributes "//") RET
> >
> > (in the fixed Emacs, of course, and after removing the call to
> > emacs_abort in parse_root).